Bug 210387 - New port: x11-toolkits/qtermwidget
Summary: New port: x11-toolkits/qtermwidget
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks: 210388
  Show dependency treegraph
 
Reported: 2016-06-19 14:03 UTC by jsmith
Modified: 2016-08-23 15:20 UTC (History)
2 users (show)

See Also:


Attachments
Shar file for the new qtermwidget port (4.23 KB, text/plain)
2016-06-19 14:03 UTC, jsmith
no flags Details
Shar archive (4.36 KB, text/plain)
2016-07-15 21:30 UTC, Jason W. Bacon
jwb: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jsmith 2016-06-19 14:03:14 UTC
Created attachment 171571 [details]
Shar file for the new qtermwidget port

Please find attached a port for qtermwidget, the Lightweight Qt-based terminal emulator. The port provides the terminal widget from upstream https://github.com/lxde/qtermwidget
Comment 1 Olivier Duchateau freebsd_committer 2016-06-21 05:03:17 UTC
This port is already in LXQt ports collection [1].

[1] https://wiki.freebsd.org/LXQt
Comment 2 Jason W. Bacon freebsd_committer 2016-07-15 21:30:33 UTC
Created attachment 172565 [details]
Shar archive

Someone actually submitted my unfinished port from https://github.com/outpaddling/freebsd-ports-wip, with me listed as the maintainer.  I was not asked or informed about this.  Fortunately, I did a PR search before submitting a duplicate.

The new shar attached should supersede the original.

portlint: OK (looks fine.)
testport: OK (poudriere: 9.3, 10.1 / amd64, i386
Comment 3 Jason W. Bacon freebsd_committer 2016-07-15 21:34:03 UTC
P.S.

I'm aware of the LXQt ports collection and will be happy to turn over maintainership if/when that collection is committed.  For now, I want to get qterminal packaged ASAP for use with Lumina on FreeBSD and PC-BSD.
Comment 4 commit-hook freebsd_committer 2016-08-23 15:12:27 UTC
A commit references this bug:

Author: olivierd
Date: Tue Aug 23 15:11:51 UTC 2016
New revision: 420694
URL: https://svnweb.freebsd.org/changeset/ports/420694

Log:
  QTermWidget is an opensource project originally based on KDE4 Konsole
  application. The main goal of this project is to provide unicode-enabled,
  embeddable Qt widget for using as a built-in console (or terminal emulation
  widget).

  WWW: https://github.com/lxde/qtermwidget

  PR:		210387
  Submitted by:	Jason Bacon

Changes:
  head/x11-toolkits/Makefile
  head/x11-toolkits/qtermwidget/
  head/x11-toolkits/qtermwidget/Makefile
  head/x11-toolkits/qtermwidget/distinfo
  head/x11-toolkits/qtermwidget/files/
  head/x11-toolkits/qtermwidget/files/patch-cmake_create__pkgconfig__file.cmake
  head/x11-toolkits/qtermwidget/pkg-descr
  head/x11-toolkits/qtermwidget/pkg-plist
Comment 5 Olivier Duchateau freebsd_committer 2016-08-23 15:20:34 UTC
Committed, thanks!